إنشاء · قيم الخيارات — المتغيرات والخيارات
إضافة تعريفات المتغيرات وقيمها.
POST
/api/v1/variant-options/{identity}/valuesطلب cURL
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request POST \
--url https://shop.onshopently.com/api/v1/variant-options/example/values \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: example-create_variant_value_api_v1_variant_options__identity__values_post' \
--header 'Content-Type: application/json' \
--data-raw '{"expected_version":1,"value":"Example"}'
الاستجابة
{
"data": {
"deleted": false,
"id": "example",
"version": 1
},
"meta": {
"request_id": "example"
}
}
الصلاحيات المطلوبة
- المصادقة
- رمز الوصول
- متاح بدءًا من
- STANDARD
- صلاحية المفتاح
- إنشاء المتغيرات
catalog.variant_option:create